View Issue Details

IDProjectCategoryView StatusLast Update
14243Bug reports[All Projects] Central participant databasepublic2019-04-30 09:12
ReporterDenisChenu Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14243: filter in CPDB l=grid disable button action
Description

When apply some filter (and surely all grid action) : action button didn't work

Steps To Reproduce

Go to cpdb, apply some filter
Click on delete (for example)

Additional Information

This can be fixed using CButtonColumn and good action
see https://bugs.limesurvey.org/view.php?id=14222#c49561

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.4 github
I will donate to the project if issue is resolvedNo
Browserff
Database & DB-Versionmariadb
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP Versionphp7.2

Relationships

related to 14222 closedDenisChenu When deleting a single response : all page is reloaded and current filter lost 

Activities

DenisChenu

DenisChenu

2018-11-13 12:17

developer  

guest

guest

2018-11-22 18:25

viewer   ~49750

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28553

c_schmitz

c_schmitz

2019-04-30 09:12

administrator   ~51652

Fixed in Version 3.1.7.3

Related Changesets

LimeSurvey: master 98691670

2018-11-22 18:25:20

Dominik Vitt

Details Diff
Fixed issue 14243: applying filter on CPDB grid disables grid button actions Affected Issues
14243
mod - application/views/admin/participants/displayParticipants_view.php Diff File

Issue History

Date Modified Username Field Change
2018-11-13 12:17 DenisChenu New Issue
2018-11-13 12:17 DenisChenu File Added: Capture du 2018-11-13 12-13-20.png
2018-11-13 12:17 DenisChenu Relationship added related to 14222
2018-11-22 18:25 Changeset attached => LimeSurvey master 98691670
2018-11-22 18:25 guest Note Added: 49750
2018-11-22 18:25 guest Resolution open => fixed
2018-11-22 18:26 dominikvitt Assigned To => dominikvitt
2018-11-22 18:26 dominikvitt Status new => resolved
2018-11-22 18:26 dominikvitt Fixed in Version => 3.15.x
2019-04-30 09:12 c_schmitz Note Added: 51652
2019-04-30 09:12 c_schmitz Status resolved => closed